Subject: Re: [PATCH 00/65] Simplify and improve the wfx driver

From: Greg Kroah-Hartman <[email-masked]>
Date: Wed, 15 Jan 2020 14:40:10 +0100

On Wed, Jan 15, 2020 at 12:12:07PM +0000, Jérôme Pouiller wrote:
> From: Jérôme Pouiller <[email-masked]>
> 
> Hello all,
> 
> This pull request is finally bigger than I expected, sorry.

After applying this series, I get this build error:

drivers/staging/wfx/sta.c: In function ‘wfx_cqm_bssloss_sm’:
drivers/staging/wfx/sta.c:91:28: error: expected ‘;’ before ‘struct’
   91 |   struct ieee80211_hdr *hdr
      |                            ^
      |                            ;
   92 |   struct ieee80211_tx_control control = { };
      |   ~~~~~~
drivers/staging/wfx/sta.c:99:3: error: ‘hdr’ undeclared (first use in this function); did you mean ‘idr’?
   99 |   hdr = (struct ieee80211_hdr *)skb->data;
      |   ^~~
      |   idr

Did you even test-build this?

I could try to bisect and track down the offending commit, but that's
too much work :)

I'll wait for a v2 of this series, please fix up and resend.

thanks,

greg k-h